local SaltProduction = ...

-- Register model for stocking asset
SaltProduction:registerAssetId("models/sacs.fbx/Prefab/sacs", SaltPrefix .. "_SACS")

SaltProduction:registerPrefabComponent("models/sacs.fbx/Prefab/sacs", {
	DataType = "COMP_GROUNDED"
})

-- Register image assets
SaltProduction:registerAssetId("icons/salt.png", SaltPrefix .. "_ICON_SALT")

SaltProduction:register({
	DataType = "RESOURCE",
	Id = SaltPrefix .. "_SALT",
	ResourceName = SaltPrefix .. "_SALT_NAME",
	Icon = SaltPrefix .. "_ICON_SALT",
	ResourceTypeList = { "LUXURY_FOOD" },
	IsTradable = true,
        ResourceLayoutType = "OPEN_BAGS",
        Prefab = SaltPrefix .. "_SACS",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 3 }
})

-- Register image assets
SaltProduction:registerAssetId("icons/brine.png", SaltPrefix .. "_ICON_BRINE")

SaltProduction:register({
	DataType = "RESOURCE",
	Id = SaltPrefix .. "_BRINE",
	ResourceName = SaltPrefix .. "_BRINE_NAME",
	Icon = SaltPrefix .. "_ICON_BRINE",
	ResourceTypeList = { "RESOURCE" },
	IsTradable = true,
        ResourceLayoutType = "CRATES"
})

-- Register image assets
SaltProduction:registerAssetId("icons/salting.png", SmokeHousePrefix .. "_ICON_SALTING")

-- Register saltings (food)
SaltProduction:register({
	DataType = "RESOURCE",
	Id = SmokeHousePrefix .. "_SALTING",
	ResourceName = SmokeHousePrefix .. "_SALTING_NAME",
	Icon = SmokeHousePrefix .. "_ICON_SALTING",
	ResourceTypeList = { "FOOD", "FOOD_SELLABLE" },
	IsTradable = true,
        ResourceLayoutType = "CRATES",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 15 }
})
